org.apache.geode.cache.operations

## Class PutOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.KeyOperationContext
    - - org.apache.geode.cache.operations.KeyValueOperationContext
      - - org.apache.geode.cache.operations.PutOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class PutOperationContext
      extends KeyValueOperationContext

  Encapsulates an `OperationContext.OperationCode.PUT` region operation having both key and value objects for for both the pre-operation case and for post-operation updates.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CREATE` Deprecated. Indicates that the operation results in a create of the key.
    `static byte` | `UNKNOWN` Deprecated. Indicates that it is not known whether the operation results in a create or in an update.
    `static byte` | `UPDATE` Deprecated. Indicates that the operation results in an update of the key.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutOperationContext(java.lang.Object key, java.lang.Object value, boolean isObject)` Deprecated. Constructor for the operation.
    `PutOperationContext(java.lang.Object key, java.lang.Object value, boolean isObject, boolean postOperation)` Deprecated. Constructor for the operation.
    `PutOperationContext(java.lang.Object key, java.lang.Object value, boolean isObject, byte opType, boolean isPostOperation)` Deprecated. Constructor for the operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `byte` | `getOpType()` Deprecated. Return whether the operation is a create or update or unknown.

    - ### Methods inherited from class org.apache.geode.cache.operations.KeyValueOperationContext

      `getDeserializedValue, getSerializedValue, getValue, isObject, setSerializedValue, setValue`

    - ### Methods inherited from class org.apache.geode.cache.operations.KeyOperationContext

      `getCallbackArg, getKey, isPostOperation, setCallbackArg, setPostOperation`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final byte UNKNOWN

      Deprecated.
      Indicates that it is not known whether the operation results in a create or in an update. The authorization callback should explicitly use the `Region.containsKey(java.lang.Object)` method to determine it when required.
      See Also:
        Constant Field Values

    - #### CREATE

          public static final byte CREATE

      Deprecated.
      Indicates that the operation results in a create of the key.
      See Also:
        Constant Field Values

    - #### UPDATE

          public static final byte UPDATE

      Deprecated.
      Indicates that the operation results in an update of the key.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PutOperationContext

          public PutOperationContext(java.lang.Object key,
                                     java.lang.Object value,
                                     boolean isObject)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation
        `value` - the value for this operation
        `isObject` - true when the value is an object; false when it is a raw byte array
      Since:
        GemFire 6.5

    - #### PutOperationContext

          public PutOperationContext(java.lang.Object key,
                                     java.lang.Object value,
                                     boolean isObject,
                                     boolean postOperation)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation
        `value` - the value for this operation
        `isObject` - true when the value is an object; false when it is a raw byte array
        `postOperation` - true if the context is at the time of sending updates
      Since:
        GemFire 6.5

    - #### PutOperationContext

          public PutOperationContext(java.lang.Object key,
                                     java.lang.Object value,
                                     boolean isObject,
                                     byte opType,
                                     boolean isPostOperation)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation
        `value` - the value for this operation
        `isObject` - true when the value is an object; false when it is a raw byte array
        `opType` - flag to indicate whether the operation is create/update or unknown
        `isPostOperation` - true if the context is at the time of sending updates
      Since:
        GemFire 6.5

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `KeyOperationContext`
      Returns:
        `OperationCode.PUT`.

    - #### getOpType

          public byte getOpType()

      Deprecated.
      Return whether the operation is a create or update or unknown. The user should check against `CREATE`, `UPDATE`, `UNKNOWN`. For the `UNKNOWN` case, the authorization callback should explicitly invoke `Region.containsKey(java.lang.Object)` to determine if it is create or update when required.
      Returns:
        one of `CREATE`, `UPDATE`, `UNKNOWN`